> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codegateapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取项目信息

获取指定项目的详细信息，包含项目名称、描述、状态、有效期及激活码统计（总数、已用、未用、已禁用、已过期）。路径中的 `project_id` 必须与当前 API Key 绑定的项目一致。


## OpenAPI

````yaml api-reference/endpoint/api-reference/openapi.json get /api/v1/projects/{project_id}
openapi: 3.1.0
info:
  title: CodeGate SDK API
  description: CodeGate 激活码管理服务 SDK API - 使用 API Key + HMAC-SHA256 签名认证
  license:
    name: Apache-2.0
  version: 1.0.0
servers:
  - url: https://api.example.com
    description: CodeGate API 服务器
security:
  - apiKeyAuth: []
paths:
  /api/v1/projects/{project_id}:
    get:
      summary: 获取项目信息
      description: 获取指定项目的详细信息，包含统计信息
      operationId: getProject
      parameters:
        - name: project_id
          in: path
          required: true
          description: 项目 ID（32 位 UUID，无连字符）
          schema:
            type: string
      responses:
        '200':
          description: 项目信息
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        status:
          type: boolean
        expires_at:
          type: integer
          nullable: true
        created_at:
          type: integer
        statistics:
          $ref: '#/components/schemas/ProjectStatistics'
    ProjectStatistics:
      type: object
      properties:
        total_codes:
          type: integer
        used_codes:
          type: integer
        unused_codes:
          type: integer
        disabled_codes:
          type: integer
        expired_codes:
          type: integer
  responses:
    Unauthorized:
      description: 认证失败（API Key、签名、时间戳、项目状态）
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
    Forbidden:
      description: project_id 与 API Key 绑定的项目不匹配
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
    NotFound:
      description: 资源不存在
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key + X-Timestamp + X-Signature（HMAC-SHA256）

````